summaryrefslogtreecommitdiff
path: root/tools/windows_packaging/make-installer.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/windows_packaging/make-installer.sh')
-rwxr-xr-xtools/windows_packaging/make-installer.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/windows_packaging/make-installer.sh b/tools/windows_packaging/make-installer.sh
new file mode 100755
index 0000000000..621f271a61
--- /dev/null
+++ b/tools/windows_packaging/make-installer.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+. ./mingw-env.sh
+
+cd $BASE || exit 1
+
+if test ! -d $PACKAGE_DIR; then
+ echo "Win32 package directory does not exist"
+ exit 1
+fi
+
+cp $TOOLS_DIR/ardour.nsi $PACKAGE_DIR || exit 1
+cp $BASE/icons/icon/ardour.ico $PACKAGE_DIR || exit 1
+
+cd $PACKAGE_DIR && makensis ardour.nsi